Bug 245038 - Mk/Uses/lua.mk: support FLAVORS
Summary: Mk/Uses/lua.mk: support FLAVORS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Port Management Team
URL: https://reviews.freebsd.org/D16494
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2020-03-25 00:45 UTC by andrew
Modified: 2020-04-14 15:52 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments
Lua flavors patch (v2) (59.25 KB, patch)
2020-03-25 00:45 UTC, andrew
no flags Details | Diff
Lua flavors patch (v3) (59.61 KB, patch)
2020-03-26 03:15 UTC, andrew
no flags Details | Diff
Lua flavors patch (v4) (59.06 KB, patch)
2020-04-05 04:00 UTC, andrew
no flags Details | Diff
Lua flavors patch (v5) (72.16 KB, patch)
2020-04-11 10:26 UTC, andrew
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description andrew 2020-03-25 00:45:52 UTC
Created attachment 212684 [details]
Lua flavors patch (v2)

This patch adds FLAVORS support to Uses/lua.mk, including all required changes to lua ports. More detail is available at the Phab link.
Comment 1 andrew 2020-03-26 03:15:58 UTC
Created attachment 212718 [details]
Lua flavors patch (v3)

Rebase and include mat's requested stylistic fixes.
Comment 2 andrew 2020-04-05 04:00:36 UTC
Created attachment 213083 [details]
Lua flavors patch (v4)

Rebase. Un-deprecate lua-iconv, which is unfetchable only because bsd.sites.mk has not been properly updated.
Comment 3 Antoine Brodin freebsd_committer 2020-04-11 08:14:42 UTC
Please provide a patch that can be applied with svn patch

(svn diff --show-copies-as-adds for instance)
Comment 4 andrew 2020-04-11 10:26:17 UTC
Created attachment 213275 [details]
Lua flavors patch (v5)

Try this one.
Comment 5 Antoine Brodin freebsd_committer 2020-04-13 07:24:44 UTC
Exp-run looks fine
Comment 6 commit-hook freebsd_committer 2020-04-14 15:50:00 UTC
A commit references this bug:

Author: mat
Date: Tue Apr 14 15:49:44 UTC 2020
New revision: 531700
URL: https://svnweb.freebsd.org/changeset/ports/531700

Log:
  USES=lua gained flavors.

  Ports using USES=lua:module or lua:flavors will be flavored.  A range of
  supported lua versions can be set using XX-YY (or XX-, or -YY, or simply ZZ)
  for ports not supporting all lua versions.

  USES=lua sets LUA_FLAVOR that needs to be used on all dependencies of
  flavored lua ports, in a similar way as PHP or Python flavors.

  PR:		245038
  Submitted by:	andrew tao11 riddles org uk
  Reviewed by:	mat, kevans, russ haley gmail com
  Approved by:	mat (portmgr)
  Differential Revision:	https://reviews.freebsd.org/D16494

Changes:
  head/CHANGES
  head/MOVED
  head/Mk/Uses/lua.mk
  head/archivers/Makefile
  head/archivers/lua-lzlib/Makefile
  head/archivers/lua-zlib/
  head/archivers/lua-zlib/Makefile
  head/archivers/lua51-zlib/
  head/astro/celestia/Makefile
  head/audio/Makefile
  head/audio/aqualung/Makefile
  head/audio/lua-mpd/
  head/audio/lua-mpd/Makefile
  head/converters/Makefile
  head/converters/lua-iconv/Makefile
  head/converters/lua-json/Makefile
  head/converters/lua51-iconv/
  head/databases/lua-lsqlite3/Makefile
  head/databases/lua-xapian/Makefile
  head/databases/luadbi/Makefile
  head/databases/luasql-mysql/Makefile
  head/databases/redis-devel/Makefile
  head/databases/xapian-bindings/Makefile
  head/devel/Makefile
  head/devel/lua-MessagePack/Makefile
  head/devel/lua-bitlib/Makefile
  head/devel/lua-bitop/Makefile
  head/devel/lua-cjson/Makefile
  head/devel/lua-gettext/Makefile
  head/devel/lua-lgi/Makefile
  head/devel/lua-libevent/
  head/devel/lua-libevent/Makefile
  head/devel/lua-lpeg/Makefile
  head/devel/lua-luacheck/Makefile
  head/devel/lua-posix/Makefile
  head/devel/lua-pty/Makefile
  head/devel/lua-stdlib/Makefile
  head/devel/lua-stdlib-debug/Makefile
  head/devel/lua-stdlib-normalize/Makefile
  head/devel/lua-sysctl/Makefile
  head/devel/lua51-bitop/
  head/devel/lua51-cjson/
  head/devel/lua51-libevent/
  head/devel/luafilesystem/Makefile
  head/devel/luafilesystem-51/
  head/devel/swig30/Makefile
  head/dns/knot-resolver/Makefile
  head/editors/fxite/Makefile
  head/editors/mle/Makefile
  head/editors/neovim/Makefile
  head/editors/wordgrinder/Makefile
  head/finance/moneymanagerex/Makefile
  head/games/corsix-th/Makefile
  head/graphics/lua-gd/Makefile
  head/lang/lua-ada/Makefile
  head/lang/lua51/Makefile
  head/lang/lua52/Makefile
  head/lang/lua53/Makefile
  head/math/plplot/Makefile
  head/multimedia/libquvi-scripts09/Makefile
  head/net/Makefile
  head/net/freeswitch/Makefile
  head/net/lualdap/Makefile
  head/net/lualdap-51/
  head/net/luasocket/Makefile
  head/net/luasocket-51/
  head/net/luasocket-53/
  head/net/wireshark/Makefile
  head/net-im/prosody/Makefile
  head/security/Makefile
  head/security/cardpeek/Makefile
  head/security/lua-bcrypt/Makefile
  head/security/luasec/Makefile
  head/security/luasec-51/
  head/textproc/Makefile
  head/textproc/lua-lyaml/Makefile
  head/textproc/luaexpat/Makefile
  head/textproc/luaexpat-51/
  head/www/luakit/Makefile
  head/www/volta/Makefile
  head/x11-wm/awesome/Makefile